List tools
curl --request GET \
--url https://aigenstudio.app/api/v1/toolsconst options = {method: 'GET'};
fetch('https://aigenstudio.app/api/v1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aigenstudio.app/api/v1/tools"
response = requests.get(url)
print(response.text){
"tools": [
{
"id": "image_editing",
"name": "<string>",
"endpoint": "<string>",
"credits": 123,
"unit": "image",
"default_cost_key": "<string>",
"pricing_version": 123,
"description": "<string>"
}
],
"request_id": "<string>"
}Catalog
List tools
List public image tools and current credit costs.
GET
https://aigenstudio.app/api/v1
/
tools
List tools
curl --request GET \
--url https://aigenstudio.app/api/v1/toolsconst options = {method: 'GET'};
fetch('https://aigenstudio.app/api/v1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aigenstudio.app/api/v1/tools"
response = requests.get(url)
print(response.text){
"tools": [
{
"id": "image_editing",
"name": "<string>",
"endpoint": "<string>",
"credits": 123,
"unit": "image",
"default_cost_key": "<string>",
"pricing_version": 123,
"description": "<string>"
}
],
"request_id": "<string>"
}